From cbf980670c8551fd14bc3b58a4893353f2ebff4b Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Fri, 4 Dec 2020 00:07:45 -0500
Subject: [PATCH 05/11] gnu: glib-with-documentation: Make some cosmetic
 changes.

* gnu/packages/glib.scm (glib-with-documentation): Make some cosmetic changes.
---
 gnu/packages/glib.scm | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
index b9e8fe96f5..c06e1c78e0 100644
--- a/gnu/packages/glib.scm
+++ b/gnu/packages/glib.scm
@@ -311,28 +311,35 @@ threads, dynamic loading, and an object system.")
 (define-public glib-with-documentation
   ;; glib's doc must be built in a separate package since it requires gtk-doc,
   ;; which in turn depends on glib.
-  (package/inherit glib
-    (properties (alist-delete 'hidden? (package-properties glib)))
-    (outputs (cons "doc" (package-outputs glib))) ; 20 MiB of GTK-Doc reference
+  (package
+    (inherit glib)
+    (properties
+     (alist-delete 'hidden?
+                   (package-properties glib)))
     (native-inputs
-     `(("gtk-doc" ,gtk-doc)             ; for the doc
-       ("docbook-xml" ,docbook-xml)
+     `(("docbook-xml" ,docbook-xml)
+       ("gtk-doc" ,gtk-doc)
        ("libxml2" ,libxml2)
        ,@(package-native-inputs glib)))
+    (outputs
+     (cons "doc"
+           (package-outputs glib)))
     (arguments
-     (substitute-keyword-arguments (package-arguments glib)
+     (substitute-keyword-arguments
+         (package-arguments glib)
        ((#:configure-flags flags ''())
         `(cons "-Dgtk_doc=true" ,flags))
        ((#:phases phases)
         `(modify-phases ,phases
            (add-after 'install 'move-doc
              (lambda* (#:key outputs #:allow-other-keys)
-               (let ((out (assoc-ref outputs "out"))
-                     (doc (assoc-ref outputs "doc"))
-                     (html (string-append "/share/gtk-doc")))
-                 (copy-recursively (string-append out html)
-                                   (string-append doc html))
-                 (delete-file-recursively (string-append out html))
+               (let* ((out (assoc-ref outputs "out"))
+                      (doc (assoc-ref outputs "doc"))
+                      (html (string-append "/share/gtk-doc")))
+                 (mkdir-p (string-append doc "/share"))
+                 (rename-file
+                  (string-append out html)
+                  (string-append doc html))
                  #t)))))))))
 
 (define gobject-introspection
-- 
2.29.2

